Skip to main content
GET
/
organizations
/
{organization_name}
/
inference-endpoints
List Inference Endpoints
curl --request GET \
  --url https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints \
  --header 'Salad-Api-Key: <api-key>'
import requests

url = "https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints"

headers = {"Salad-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'Salad-Api-Key': '<api-key>'}};

fetch('https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "description": "<string>",
      "display_name": "<string>",
      "icon_url": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "input_schema": "<string>",
      "name": "<string>",
      "organization_name": "<string>",
      "output_schema": "<string>",
      "price_description": "<string>",
      "readme": "<string>"
    }
  ],
  "page": 1073741824,
  "page_size": 50,
  "total_size": 1073741823
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
Last Updated: July 1, 2025

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

Query Parameters

page
integer<int32>

The page number.

Required range: 1 <= x <= 2147483647
Example:

1

page_size
integer<int32>

The maximum number of items per page.

Required range: 1 <= x <= 100
Example:

1

Response

OK

Represents a page from the collection of inference endpoints.

items
object[]
required

The list of inference endpoints.

Maximum array length: 100
page
integer<int32>
required

The page number.

Required range: 1 <= x <= 2147483647
Example:

1

page_size
integer<int32>
required

The maximum number of items per page.

Required range: 1 <= x <= 100
Example:

1

total_size
integer<int32>
required

The total number of items in the collection.

Required range: 0 <= x <= 2147483647
Example:

100